> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks.md).

# SDKs obsoletos

## \[SDKs descontinuados]

## Primeiros passos

### Política de Privacidade e Termos e Condições de Uso

Ao usar nosso plugin, certifique-se de que concorda com nossa [Política de Privacidade](https://en.caf.io/politicas/politicas-de-privacidade) e com nossos [Termos e Condições de Uso](https://en.caf.io/politicas/termos-e-condicoes-de-uso).

### Versões atuais

#### Estável

| SDK                                                                                                                     | Versão           | pub.dev                                                                     |
| ----------------------------------------------------------------------------------------------------------------------- | ---------------- | --------------------------------------------------------------------------- |
| [DocumentDetector](/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/document-detector/v7-and-above.md) | `7.0.3`          | [caf\_document\_detector](https://pub.dev/packages/caf_document_detector)   |
| [FaceLiveness](/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceliveness.md)                       | `4.0.0` e abaixo | [new\_face\_liveness](https://pub.dev/packages/new_face_liveness)           |
| [FaceLiveness](/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceliveness.md)                       | `5.0.0` e acima  | [caf\_face\_liveness](https://pub.dev/packages/caf_face_liveness)           |
| [FaceAuthenticator](/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceauth.md)                      | `4.0.0` e abaixo | [new\_face\_authenticator](https://pub.dev/packages/new_face_authenticator) |
| [FaceAuthenticator](/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceauth.md)                      | `5.0.0` e acima  | [new\_face\_authenticator](https://pub.dev/packages/caf_face_auth)          |

#### Descontinuado

| SDK                                                                                                                                       | Dependência                     |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| [PassiveFaceLiveness](https://github.com/combateafraude/public-docs/blob/docs-sdks/flutter/deprecated-sdks/passivefaceliveness.md)        | `passive-face-liveness-v4.30.0` |
| [FaceAuthenticator](https://github.com/combateafraude/public-docs/blob/docs-sdks/flutter/deprecated-sdks/faceauthenticator-deprecated.md) | `face-authenticator-v3.13.0`    |

### Configurações do ProGuard

Se você usa o ProGuard ou uma ferramenta semelhante que inclua regras de redução ou ofuscação no seu projeto, talvez seja necessário adicionar estas exceções para que nossos SDKs funcionem corretamente.

```groovy
-keep class com.iproov.** { *; }
-keep interface com.iproov.** { *; }
-keepclassmembers class com.iproov.** { *; }

-keep class kotlin.** { *; }
-keep class kotlinx.** { *; }

# No modo completo do R8, as assinaturas genéricas são removidas para classes que não estão
# mantidas. As funções suspend são encapsuladas em continuations, onde o argumento de tipo
# é usado.
-keep,allowobfuscation,allowshrinking class kotlin.coroutines.Continuation

# No modo completo do R8, as assinaturas genéricas são removidas dos tipos de retorno se não forem mantidas.
-if interface * { @retrofit2.http.* public *** *(...); }
-keep,allowoptimization,allowshrinking,allowobfuscation class <3>

# No modo completo do R8, as assinaturas genéricas são removidas para classes que não estão mantidas.
-keep,allowobfuscation,allowshrinking class retrofit2.Response
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
